# Run tests in check section
%bcond_without check

# https://github.com/peterbourgon/diskv
%global goipath         github.com/peterbourgon/diskv
Version:                3.0.0

%global common_description %{expand:
Diskv (disk-vee) is a simple, persistent key-value store written in the Go 
language. It starts with an incredibly simple API for storing arbitrary data 
on a filesystem by key, and builds several layers of performance-enhancing 
abstraction on top. The end result is a conceptually simple, but highly 
performant, disk-backed storage system.}

%gometa

Name:           %{goname}
Release:        %mkrel 1
Summary:        A disk-backed key-value store
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildArch:      noarch
BuildRequires: golang(github.com/google/btree)

%description
%{common_description}
%gometa

%global golicenses      LICENSE
%global godocs          examples README.md
%gopkg


%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles



%changelog
* Sun Aug 30 2020 joequant <joequant> 3.0.0-1.mga8
+ Revision: 1620021
- fix build

* Mon Nov 26 2018 pterjan <pterjan> 2.0.1-2.mga7
+ Revision: 1334790
- imported package golang-github-peterbourgon-diskv

